Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTSFIELD | METHOD

## org.gradle.api.tasks.bundling
[Java] Enum Compression

    java.lang.Object
      org.gradle.api.tasks.bundling.Compression

    public enum Compression

Specifies the compression which should be applied to a TAR archive.

Authors:
  Hans Dockter

Method Summary
`String` | `getDefaultExtension()`
`String` | `getExtension()`
`List` | `getSupportedExtensions()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getDefaultExtension

    public String getDefaultExtension()

### getExtension

    public String getExtension()

  Returns the file extension of the type of Compression.

  deprecated:
    Use getDefaultExtension() instead.

### getSupportedExtensions

    public List getSupportedExtensions()

Gradle API 1.1-rc-1